<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
}

/**
 * Counter Widget
 */

class Counter_Widget extends \Elementor\Widget_Base {
  public function get_name() {
    return 'counter-widget';
  }

  public function get_title() {
    return esc_html__('medifed Counter', 'medifed-widget');
  }

  public function get_categories() {
    return ['basic'];
  }

  /**
   * Controls
   */

  protected function register_controls() {
    // Content Section
	
	
	
	
    $this->start_controls_section(
      'content_section',
      [
        'label' => 'Content',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );
	
		
	  // Widget Style
    $this->add_control(
      'widget_style',
      [
        'label' => 'Widget Style',
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'one',
        'options' => [
          'one' => 'One',
          'two' => 'Two',
        ]
      ]
    );

    /** Title */
    $this->add_control(
      'counter_title',
      [
        'label' => 'Title',
        'type' => \Elementor\Controls_Manager::TEXT,
        'default' => 'Happy Clients'
      ]
    );

    /** Count */
    $this->add_control(
      'counter_count',
      [
        'label' => 'Count',
        'type' => \Elementor\Controls_Manager::NUMBER,
        'default' => 45
      ]
    );

    /** Description */
    $this->add_control(
      'counter_desc',
      [
        'label' => 'Description',
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => 'We more stoic this along goodness this to ed wow manatee wastefuls and web editors now use non'
      ]
    );

	// Icon
    $this->add_control(
      'counter_icon',
      [
        'label' => esc_html__('Icon', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::ICONS,
        'default' => [
          'value' => 'fas fa-circle',
          'library' => 'fa-solid',
        ],
        'recommended' => [
          'fa-solid' => [
            'circle',
            'dot-circle',
            'square-full',
          ],
          'fa-regular' => [
            'circle',
            'dot-circle',
            'square-full',
          ],
		  
        ],
      ]
    );
	
	
	
	
	
	
	
    $this->end_controls_section();


    /**
     * Counter Styles
     */

    $this->start_controls_section(
      'counter_style',
      [
        'label' => 'Counter Style',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    /** Background Image */
    $this->add_control(
      'counter_bg',
      [
        'label' => esc_html__('Choose Background Image', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::MEDIA,
      ]
    );

	/** Background */
	$this->add_control(
      'icon1_hover_bg',
      [
        'label' => 'Background',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .txt_counter, {{WRAPPER}} .txt_counter_02 .txt_new_inn' => 'background-color: {{VALUE}}',
        ]
      ]
    );
	
	
    /** Padding */
    $this->add_responsive_control(
      'widget_padding',
      [
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'label' => esc_html__('Padding', 'plugin-name'),
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .txt_counter, {{WRAPPER}} .txt_counter_02 .txt_new_inn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
      ]
    );
	
	/** Background */
	$this->add_control(
      'icon1_hover1_bg',
      [
        'label' => 'Background Hover',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .txt_counter_02:hover .txt_new_inn' => 'background-color: {{VALUE}}',
        ]
      ]
    );
	
	/** Count Color */
    $this->add_control(
      'count_all_color_hover',
      [
        'label' => esc_html__('All_Color_Hover', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .txt_counter_02:hover .txt_new_inn h3, {{WRAPPER}} .txt_counter_02:hover .txt_new_inn span, {{WRAPPER}} .txt_counter_02:hover .txt_new_inn i, {{WRAPPER}} .txt_counter_02:hover .txt_counter_inn p ' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	

    $this->end_controls_section();



     /* Count Style */
     $this->start_controls_section(
      'count_style',
      [
        'label' => 'Count Number',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );


    /** Count Color */
    $this->add_control(
      'count_color',
      [
        'label' => esc_html__('Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .counter_title h3, {{WRAPPER}} .txt_new_inn h3, {{WRAPPER}} .txt_new_inn span ' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Count margin
    $this->add_responsive_control(
      'count_margin',
      [
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'label' => esc_html__('Margin', 'textdomain'),
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .counter_title h3, {{WRAPPER}} .txt_new_inn h3, {{WRAPPER}} .txt_new_inn span' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
      ]
    );

    // Count Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'count_typography',
        'selector' => '{{WRAPPER}} .counter_title h3, {{WRAPPER}} .txt_new_inn h3, {{WRAPPER}} .txt_new_inn span',
      ]
    );

    $this->end_controls_section();



    /* Title Style */
    $this->start_controls_section(
      'tilte_style',
      [
        'label' => 'Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    /** Title Color */
    $this->add_control(
      'title_color',
      [
        'label' => esc_html__('Title Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .counter_title h4, {{WRAPPER}} .txt_counter_02 h4' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Title margin
    $this->add_responsive_control(
      'title_margin',
      [
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'label' => esc_html__('Margin', 'textdomain'),
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .counter_title h4, {{WRAPPER}} .txt_counter_02 h4' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
      ]
    );

    // Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'title_typography',
        'selector' => '{{WRAPPER}} .counter_title h4, {{WRAPPER}} .txt_counter_02 h4',
      ]
    );

    $this->end_controls_section();


    
    /* Description Style */
    $this->start_controls_section(
      'desc_style',
      [
        'label' => 'Description',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );


    /** Desc Color */
    $this->add_control(
      'desc_color',
      [
        'label' => esc_html__('Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .counter_desc' => 'color: {{VALUE}}',
        ],
      ]
    );

    // Title margin
    $this->add_responsive_control(
      'desc_margin',
      [
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'label' => esc_html__('Margin', 'textdomain'),
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .counter_desc' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
      ]
    );

    // Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'desc_typography',
        'selector' => '{{WRAPPER}} .counter_desc',
      ]
    );
	 $this->end_controls_section();
	
	 /* Description Style */
    $this->start_controls_section(
      'icon_style',
      [
        'label' => 'Icon',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );
	
    // Icon Color
    $this->add_control(
      'icon_color',
      [
        'label' => 'Color',
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .txt_new_inn i' => 'color: {{VALUE}}',
        ]
      ]
    );

	// Box Background  
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'icon_background',
        'label' => esc_html__('Background', 'plugin-name'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .txt_new_inn i',
      ]
    );
	
    // Icon Size
    $this->add_responsive_control(
      'icon_size',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Size', 'plugin-name'),
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 200,
          ],
        ],
        'devices' => ['desktop', 'tablet', 'mobile'],
        'selectors' => [
          '{{WRAPPER}} .txt_new_inn i' => 'font-size: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	
	

    $this->end_controls_section();



  }

  protected function render() {
    $settings = $this->get_settings_for_display();
	
   if ($settings['widget_style'] == 'one') : 
?>

    <div class="txt_counter" >
      <div class="txt_counter_inn">
        <div class="counter_title txt_new_inn">
          <h3 class="counter"><?= $settings['counter_count'] ?></h3>
          <span>+</span>
          <h4><?= $settings['counter_title'] ?></h4>
        </div>
        <p class="counter_desc"><?= $settings['counter_desc'] ?></p>
      </div>
      </div>
   

	 <?php else : ?>
	<div class="txt_counters" >
        <div class="txt_counter_02">
        <div class="counter_titles txt_new_inn">
		<?php \Elementor\Icons_Manager::render_icon($settings['counter_icon'], ['aria-hidden' => 'true', 'class' => 'counter_icon']); ?>
          <h3 class="counter"><?= $settings['counter_count'] ?></h3>
          <span>+</span>
		  </div>
          <h4><?= $settings['counter_title'] ?></h4>
      </div>
    </div>
	

	
	<?php endif ?>
	
    <?php if (is_admin()) :
      if (!defined('ELEMENTOR_VERSION'))
        return;
    ?>
	
	 <?php endif ?>
	
     

   
   
   

<?php
  }
}
