<?php
if (!defined('ABSPATH')) {
  exit; // Exit if accessed directly.
}

/**
 * Slider Widget
 */

class Slider_Widget extends \Elementor\Widget_Base {
  public function get_name() {
    return 'medifed-slider';
  }

  public function get_title() {
    return esc_html__('medifed Slider', 'medifed-widget');
  }

  public function get_categories() {
    return ['basic'];
  }

  /**
   * Controls
   */

  protected function register_controls() {
	  
	  

	
    // Content Section
    $this->start_controls_section(
      'content_section',
      [
        'label' => 'Content',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );

    $repeater = new \Elementor\Repeater();

		// Service Style
    $this->add_control(
      'slider_style',
      [
        'label' => esc_html__('slider Style', 'textdomain'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => '1',
        'options' => [
          '1'  => esc_html__('One', 'textdomain'),
          '2' => esc_html__('Two', 'textdomain'),
          '3' => esc_html__('Three', 'textdomain'),
        ],
      ]
    );
	
    // Slider Style
    $repeater->add_control(
      'list_slider_style',
      [
        'label' => esc_html__('Slider Style', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'center',
        'options' => [
          'left'  => esc_html__('Text Left', 'plugin-name'),
          'center' => esc_html__('Text Center', 'plugin-name'),
          'right' => esc_html__('Text Right', 'plugin-name'),
        ],
      ]
    );

	// Top Title  
    $repeater->add_control(
      'top_title',
      [
        'label' => esc_html__('Top Title', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Top Title Here', 'plugin-name'),
      ]
    );

	
    // Main Title
    $repeater->add_control(
      'list_main_title',
      [
        'label' => esc_html__('Main Title', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Main Title Here', 'plugin-name'),
        'label_block' => true,
      ]
    );

    // content Title
    $repeater->add_control(
      'list_subs_title',
      [
        'label' => esc_html__('Sub Title', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Content Title Here', 'plugin-name'),
        'label_block' => true,
      ]
    );
	// content Title
    $repeater->add_control(
      'list_content_title',
      [
        'label' => esc_html__('Content Title ', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Content Title Here', 'plugin-name'),
        'label_block' => true,
      ]
    );
	
	// Button Text
    $repeater->add_control(
      'btn_txt',
      [
        'label' => esc_html__('Button Text', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::TEXTAREA,
        'default' => esc_html__('Read More', 'plugin-name'),
        'label_block' => true,
      ]
    );
	
	
    // Url
    $repeater->add_control(
      'button_link',
      [
        'label' => esc_html__('Link', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::URL,
        'placeholder' => esc_html__('https://your-link.com', 'plugin-name'),
        'options' => ['url', 'is_external', 'nofollow'],
        'default' => [
          'url' => '',
          'is_external' => true,
          'nofollow' => true,
        ],
        'label_block' => true,
      ]
    );
	
	
	
    // Slider Image
    $repeater->add_control(
      'list_image',
      [
        'label' => esc_html__('Slider Image', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
          'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
      ]
    );

    // Slider Image Position
    $repeater->add_control(
      'image_position',
      [
        'label' => esc_html__('Image Position', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'default',
        'options' => [
          'default'  => esc_html__('Default', 'plugin-name'),
          'top'  => esc_html__('Top', 'plugin-name'),
          'bottom' => esc_html__('Bottom', 'plugin-name'),
          'center' => esc_html__('Center', 'plugin-name'),
          'left' => esc_html__('Left', 'plugin-name'),
          'right' => esc_html__('Right', 'plugin-name'),
        ],
      ]
    );

    // Slider Image Repeat
    $repeater->add_control(
      'image_repeat',
      [
        'label' => esc_html__('Image Repeat', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'default',
        'options' => [
			'default'  => esc_html__('Default', 'plugin-name'),
          'repeat'  => esc_html__('Repeat', 'plugin-name'),
          'no-repeat' => esc_html__('No Repeat', 'plugin-name'),
          'repeat-x' => esc_html__('Repeat X', 'plugin-name'),
          'repeat-y' => esc_html__('Repeat Y', 'plugin-name'),
        ],
      ]
    );

    // Background Size
    $repeater->add_control(
      'bg_size',
      [
        'label' => esc_html__('Size', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'default',
        'options' => [
		'default'  => esc_html__('Default', 'plugin-name'),
          'cover'  => esc_html__('Cover', 'plugin-name'),
          'fill' => esc_html__('Fill', 'plugin-name'),
          'scale-down' => esc_html__('Scale down', 'plugin-name'),
          'none' => esc_html__('None', 'plugin-name'),
        ],
      ]
    );

	// Slider Image
    $repeater->add_control(
      'left_image',
      [
        'label' => esc_html__('Left Image', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::MEDIA,
        'default' => [
          'url' => \Elementor\Utils::get_placeholder_image_src(),
        ],
      ]
    );
	
	

	
    $this->add_control(
      'list',
      [
        'label' => esc_html__('Slider List', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::REPEATER,
        'fields' => $repeater->get_controls(),
        
        'default' => [
          [
            'top_title' => esc_html__('Top title', 'plugin-name'),
            'list_main_title' => esc_html__('Main title #1', 'plugin-name'),
            'list_sub_title' => esc_html__('Item content. Click the edit button to change this text.', 'plugin-name'),
            'list_subs_title' => esc_html__('List Sub Title', 'plugin-name'),
            'button_link' => esc_html__('Button Text', 'plugin-name'),
            'btn_txt' => esc_html__('Button Text', 'plugin-name'),

            
          ],
          [
            'list_main_title' => esc_html__('Main title #2', 'plugin-name'),
            'list_sub_title' => esc_html__('Item content. Click the edit button to change this text.', 'plugin-name'),
			'list_subs_title' => esc_html__('List Sub Title', 'plugin-name'),
			'list_subs_title' => esc_html__('List Sub Title', 'plugin-name'),
			'button_link' => esc_html__('Button Text', 'plugin-name'),
			'btn_txt' => esc_html__('Button Text', 'plugin-name'),
          ],
        ],
        'title_field' => '{{{ list_main_title }}}',
      ]
    );

	

	
	
    $this->end_controls_section();



    /**
     * Slider Settings
     */

    // Content Section
    $this->start_controls_section(
      'settings_section',
      [
        'label' => 'Slider Settings',
        'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
      ]
    );


    // Auto Play
    $this->add_control(
      'auto_play',
      [
        'label' => esc_html__('Auto Play', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'plugin-name'),
          'false' => esc_html__('False', 'plugin-name'),
        ],
      ]
    );

    // Speed
    $this->add_control(
      'speed',
      [
        'label' => esc_html__('Speed', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );

    // AutoPlay Speed
    $this->add_control(
      'autoplay_speed',
      [
        'label' => esc_html__('Autoplay Speed', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 100,
        'max' => 10000,
        'default' => 900,
      ]
    );


    // Slide To Show
    $this->add_control(
      'slide_to_show',
      [
        'label' => esc_html__('Slide To Show', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );

    // Slide To Scroll
    $this->add_control(
      'slide_to_scroll',
      [
        'label' => esc_html__('Slide To Scroll', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::NUMBER,
        'min' => 1,
        'max' => 6,
        'default' => 1,
      ]
    );


    // Dot
    $this->add_control(
      'dot',
      [
        'label' => esc_html__('Dot', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'false',
        'options' => [
          'true'  => esc_html__('True', 'plugin-name'),
          'false' => esc_html__('False', 'plugin-name'),
        ],
      ]
    );

    
    // Arrows
    $this->add_control(
      'arrows',
      [
        'label' => esc_html__('Arrows', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'plugin-name'),
          'false' => esc_html__('False', 'plugin-name'),
        ],
      ]
    );

    // Infinite
    $this->add_control(
      'infinite',
      [
        'label' => esc_html__('Infinite', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::SELECT,
        'default' => 'true',
        'options' => [
          'true'  => esc_html__('True', 'plugin-name'),
          'false' => esc_html__('False', 'plugin-name'),
        ],
      ]
    );


	
	
	
	
    $this->end_controls_section();


    /**
     * Slider Style
     */
	 
	 
    // Top Title Style
    $this->start_controls_section(
      'main_top_title_style',
      [
        'label' => 'Top Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_top_title_typography',
        'selector' => '{{WRAPPER}} .slider_text h1',
      ]
    );

    // Main Title Color
    $this->add_control(
      'main_top_title_color',
      [
        'label' => esc_html__('Main Title Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h1' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'main_top_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h1' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'main_top_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h1' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	

    $this->end_controls_section();
	 
	 
	 
	 
	 
    // Main Title Style
    $this->start_controls_section(
      'main_title_style',
      [
        'label' => 'Main Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_title_typography',
        'selector' => '{{WRAPPER}} .slider_text h2',
      ]
    );

    // Main Title Color
    $this->add_control(
      'main_title_color',
      [
        'label' => esc_html__('Main Title Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h2' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'main_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h2' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'main_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h2' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	

    $this->end_controls_section();

	
	
    // Main Title Style
    $this->start_controls_section(
      'main_span_title_style',
      [
        'label' => 'Heighlight Color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_span_title_typography',
        'selector' => '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span',
      ]
    );

    // Main Title Color
    $this->add_control(
      'main_span_title_color',
      [
        'label' => esc_html__('Main Title Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	// Background Color
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'span_background_color',
        'label' => esc_html__('Background Color', 'textdomain'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span',
      ]
    );
	
	
	 // Main Title Padding
    $this->add_responsive_control(
      'main_span_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'main_span_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h2 span, {{WRAPPER}} .slider_text h3 span' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	

    $this->end_controls_section();
	
	
	
	
	 // Main Title Style
    $this->start_controls_section(
      'main_subs_style',
      [
        'label' => 'sub Color Option',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_sub_typography',
        'selector' => '{{WRAPPER}} .slider_text h3',
      ]
    );

    // Main Title Color
    $this->add_control(
      'main_span_title_color',
      [
        'label' => esc_html__('sub Title Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h3' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	// Main Title Color
    $this->add_control(
      'css_title_color',
      [
        'label' => esc_html__('Sub Title Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text h3' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	
	 // Main Title Padding
    $this->add_responsive_control(
      'main_span_title_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h3' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'sub_title_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text h3' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	

    $this->end_controls_section();
	
	
	
	
    // content Title Style
    $this->start_controls_section(
      'sub_title_style',
      [
        'label' => 'Content Title',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // content Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'content_title_typography',
        'selector' => '{{WRAPPER}} .slider_text p',
      ]
    );

	// content Width
    $this->add_responsive_control(
      'content_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'plugin-name'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slider_text p' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	
    // Main Title Color
    $this->add_control(
      'content_title_color',
      [
        'label' => esc_html__('Sub Title Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_text p' => 'color: {{VALUE}}',
        ],
      ]
    );
	
	 // Main Title Padding
    $this->add_responsive_control(
      'main_content_padding',
      [
        'label' => 'content Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text p' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'main_content_margin',
      [
        'label' => 'content Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .slider_text p' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
    
    $this->end_controls_section();
	
	
	
	
	
	  // Top Title Style
    $this->start_controls_section(
      'button_style',
      [
        'label' => 'button Style',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE
      ]
    );

    // Main Title Typography
    $this->add_group_control(
      \Elementor\Group_Control_Typography::get_type(),
      [
        'name' => 'main_top_title_typography',
        'selector' => '{{WRAPPER}} a.tabtn',
      ]
    );

    // Main Title Color
    $this->add_control(
      'button_color',
      [
        'label' => esc_html__('Main Title Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} a.tabtn' => 'color: {{VALUE}}',
        ],
      ]
    );
	 // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'btn_background',
        'label' => esc_html__('Background', 'plugin-name'),
        'types' => ['classic', 'gradient', 'video'],
        'selector' => '{{WRAPPER}} a.tabtn',
      ]
    );
	 // Main Title Padding
    $this->add_responsive_control(
      'button_padding',
      [
        'label' => 'Padding',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} a.tabtn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );

    // Main Title Margin
    $this->add_responsive_control(
      'button_margin',
      [
        'label' => 'Margin',
        'type' => \Elementor\Controls_Manager::DIMENSIONS,
        'size_units' => ['px', 'em', '%'],
        'selectors' => [
          '{{WRAPPER}} .tbd_sl_btn' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
        ],
        'separator' => 'before',
      ]
    );
	
	 // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'btn_hover_background',
        'label' => esc_html__('Background', 'plugin-name'),
        'types' => ['classic', 'gradient', 'video'],
        'selector' => '{{WRAPPER}} a.tabtn:hover',
      ]
    );

	
    $this->end_controls_section();
	 
	 
	 
	
	
	
	
	
	
	
	
	
	
	
	 /**
     * Arrow Style Section  
     */
    $this->start_controls_section(
      'Arrow_style',
      [
        'label' => 'Arrow Options',
        'tab' => \Elementor\Controls_Manager::TAB_STYLE,
		'condition' => [
			'arrows' => 'true',
		],	
      ]
    );
    $this->start_controls_tabs(
      'style_tabs'
    );

    // Normal Tab
    $this->start_controls_tab(
      'style_normal_tab',
      [
        'label' => esc_html__('Normal', 'plugin-name'),
      ]
    );

    // Color
    $this->add_control(
      'title_color',
      [
        'label' => esc_html__('Arrow Color', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'color: {{VALUE}}',
        ],
      ]
    );
	
    // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'background',
        'label' => esc_html__('Background', 'plugin-name'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow',
      ]
    );
	
	// Arrow Width
		$this->add_responsive_control(
		  'arrow_font_size',
		  [
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => esc_html__('font size', 'plugin-name'),
			'size_units' => ['px'],
			'range' => [
			  'px' => [
				'min' => 0,
				'max' => 500,
			  ],
			  '%' => [
				'min' => 0,
				'max' => 100
			  ]
			],
			'selectors' => [
			  '{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'font-size: {{SIZE}}{{UNIT}};',
			],
		  ]
		);
	
	// Arrow Width
    $this->add_responsive_control(
      'arrow_width',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('Width', 'plugin-name'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'width: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	// Arrow height
    $this->add_responsive_control(
      'arrow_height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('height', 'plugin-name'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );	
	// Arrow height
    $this->add_responsive_control(
      'arrow_line-height',
      [
        'type' => \Elementor\Controls_Manager::SLIDER,
        'label' => esc_html__('line-height', 'plugin-name'),
        'size_units' => ['px', '%'],
        'range' => [
          'px' => [
            'min' => 0,
            'max' => 500,
          ],
          '%' => [
            'min' => 0,
            'max' => 100
          ]
        ],
        'selectors' => [
          '{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'line-height: {{SIZE}}{{UNIT}};',
        ],
      ]
    );
	
	/* arrow Opacity */
		$this->add_responsive_control(
			'arrow_opacity',
			[
				'label' => esc_html__( 'Arrow Opacity', 'plugin-name' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'selectors' => [
					'{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'opacity: {{SIZE}}{{UNIT}};',
				],
			]
		);	
	
		/* witr_border_style */
			$this->add_control(
				'arrow_border',
				[
					'label' => esc_html__( 'Border Style', 'plugin-name' ),
					'type' => \Elementor\Controls_Manager::SELECT,
					'options' => [
						'none' => esc_html__( 'none', 'plugin-name' ),
						'solid' => esc_html__( 'Solid', 'plugin-name' ),
						'double' => esc_html__( 'Double', 'plugin-name' ),
						'dotted' => esc_html__( 'Dotted', 'plugin-name' ),
						'dashed' => esc_html__( 'Dashed', 'plugin-name' ),
						'default' => esc_html__( 'Default', 'plugin-name' ),
					],
					'default' => 'none',
					'selectors' => [
						'{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'border-style: {{VALUE}}',
					],
				]
			);		
			/* witr border */
			
			$this->add_control(
				'arrow_btn_style',
				[
					'label' => esc_html__( 'Width', 'plugin-name' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'selectors' => [
						'{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed'],
					],								
				]
			);
			/* border_color */
			$this->add_control(
				'witr_border1_btn_color',
				[
					'label' => esc_html__( 'Border Color', 'plugin-name' ),
					'type' =>  \Elementor\Controls_Manager::COLOR,
					
					'selectors' => [
						'{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'border-color: {{VALUE}}',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);
			/* border_radius */
			$this->add_control(
				'arrow_radius',
				[
					'label' => esc_html__( 'Border Radius', 'plugin-name' ),
					'type' => \Elementor\Controls_Manager::DIMENSIONS,
					'size_units' => [ 'px', '%' ],
					'selectors' => [
						'{{WRAPPER}} .slick-slider .next_arrow, {{WRAPPER}} .slick-slider .priv_arrow' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
					],
					'condition' => [
						'arrow_border' => ['solid','double','dotted','dashed','default'],
					],								
				]
			);

			/* witr_icon_top */
			$this->add_responsive_control(
				'arrow_top',
				[
					'label' => esc_html__( 'Arrow Top', 'medifed' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slider_active.slick-slider .priv_arrow , {{WRAPPER}} .slider_active.slick-slider .next_arrow' => 'top: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// Left
			$this->add_responsive_control(
				'arrow_Left',
				[
					'label' => esc_html__( 'Arrow Left', 'medifed' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slider_active.slick-slider .next_arrow' => 'left: {{SIZE}}{{UNIT}};',
					],
				]
			);
			// right
			$this->add_responsive_control(
				'arrow_right',
				[
					'label' => esc_html__( 'Arrow right', 'medifed' ),
					'type' => \Elementor\Controls_Manager::SLIDER,
					'size_units' => [ 'px', '%' ],
					'range' => [
						'px' => [
							'min' => -100,
							'max' => 500,
						],
						'%' => [
							'min' => -100,
							'max' => 100,
						],		
					],						
					'selectors' => [
						'{{WRAPPER}} .slider_active.slick-slider .priv_arrow ' => 'right: {{SIZE}}{{UNIT}};',
					],
				]
			);
		
	
    $this->end_controls_tab();

	
	
    // Hover Tab
    $this->start_controls_tab(
      'style_hover_tab',
      [
        'label' => esc_html__('Hover', 'plugin-name'),
      ]
    );

	
    // Color
    $this->add_control(
      'arrow_color_hover',
      [
        'label' => esc_html__('Arrow Color Hover', 'plugin-name'),
        'type' => \Elementor\Controls_Manager::COLOR,
        'selectors' => [
          '{{WRAPPER}} .slider_active.slick-slider .priv_arrow:hover, {{WRAPPER}} .slider_active.slick-slider .next_arrow:hover' => 'color: {{VALUE}}',
        ],
      ]
    );


  // Background
    $this->add_group_control(
      \Elementor\Group_Control_Background::get_type(),
      [
        'name' => 'arrow_hover_background',
        'label' => esc_html__('Background', 'plugin-name'),
        'types' => ['classic', 'gradient'],
        'selector' => '{{WRAPPER}} .slider_active.slick-slider .priv_arrow:hover, {{WRAPPER}} .slider_active.slick-slider .next_arrow:hover',
      ]
    );
	
	/* border_color */
	$this->add_control(
		'witr_border1_arr_color',
		[
			'label' => esc_html__( 'Border Color', 'plugin-name' ),
			'type' =>  \Elementor\Controls_Manager::COLOR,
			
			'selectors' => [
				'{{WRAPPER}} .slider_active.slick-slider .priv_arrow:hover, {{WRAPPER}} .slider_active.slick-slider .next_arrow:hover' => 'border-color: {{VALUE}}',
			],							
		]
	);
	
	

    $this->end_controls_tab();

    $this->end_controls_tabs();


	
	
	
	
    $this->end_controls_section();
  
  
  }
  
  
  
  
  

  protected function render() {
    
    $settings = $this->get_settings_for_display();
	
?>
 <?php
	   if (!empty($settings['button_link']['url'])) {
      $this->add_link_attributes('button_link', $settings['button_link']);
    }
?>


    <div class="row">
      <div class="col-lg-12">
        <div class="slider_active" id="slick-<?= $this->get_id() ?>" data-slick='{
  "dots": <?= $settings['dot'] ?>,
  "infinite": <?= $settings['infinite'] ?>,
  "autoplay": <?= $settings['auto_play'] ?>,
  "speed": <?= $settings['speed'] ?>,
  "autoplaySpeed": <?= $settings['autoplay_speed'] ?>,
  "slidesToShow": <?= $settings['slide_to_show'] ?>,
  "slidesToScroll": <?= $settings['slide_to_scroll'] ?>,
  "arrows": <?= $settings['arrows'] ?>,
  "prevArrow": "<span class=\"priv_arrow\"><i class=\"icofont-arrow-right\"></i></span>",
  "nextArrow": "<span class=\"next_arrow\"><i class=\"icofont-arrow-left\"></i></span>",
  "responsive": [
    {
      "breakpoint": 1200,
      "settings": {
        "slidesToShow": 1,
        "slidesToScroll": 2,
        "infinite": true
      }
    },
    {
      "breakpoint": 768,
      "settings": {
        "slidesToShow": 1,
        "slidesToScroll": 2
      }
    },
    {
      "breakpoint": 320,
      "settings": {
        "slidesToShow": 1,
        "slidesToScroll": 1
      }
    }
  ]
}'>

          <?php foreach ($settings['list'] as $slide) : ?>
		  
		   <?php if ($settings['slider_style'] === '1') : ?>
            <!--======== slider ========-->
            <div class="slider_bg" style="background-image: url(<?= $slide['list_image']['url'] ?>);
                background-position: <?= $slide['image_position'] ?> !important;
                background-repeat: <?= $slide['image_repeat'] ?> !important;
                object-fit: <?= $slide['bg_size'] ?> !important;
          ">
              <div class="slider_position container">
                <div class="row">
                  <div class="col-lg-12">
                    <div class=" slider_text text-center" style="text-align: <?= $slide['list_slider_style'] ?> !important;">
                      <h1><?= $slide['top_title'] ?></h1>
                      <h2><?= $slide['list_main_title'] ?></h2>
                      <p><?= $slide['list_content_title'] ?></p>
						<div class="tbd_sl_btn">
							<a <?php echo $this->get_render_attribute_string('button_link'); ?> class="tabtn"><?= $settings['btn_txt'] ?></a>
					   </div>
					  
					 </div>
                  </div>
                </div>
              </div>
            </div>
		  
		    <?php elseif ($settings['slider_style'] === '2') : ?>
            <!--======== slider ========-->
            <div class="slider_bg slider_2" style="background-image: url(<?= $slide['list_image']['url'] ?>);
                background-position: <?= $slide['image_position'] ?> !important;
                background-repeat: <?= $slide['image_repeat'] ?> !important;
                object-fit: <?= $slide['bg_size'] ?> !important;
          ">
              <div class="slider_position container">
                <div class="row">
                  <div class="col-lg-12">
                    <div class=" slider_text text-left" style="text-align: <?= $slide['list_slider_style'] ?> !important;">
                      <h1><?= $slide['top_title'] ?></h1>
                      <h2><?= $slide['list_main_title'] ?></h2>
					  <div class="slider_content">
                      <h3><?= $slide['list_subs_title'] ?></h3>
                      <p><?= $slide['list_content_title'] ?></p>
					  
						
					  </div>
					  
					  <div class="tbd_sl_btn">
						<a <?= $slide['button_link'] ?> class="tabtn"> <?= $slide['btn_txt'] ?></a>
					   </div>
					   <img class="left1_image" src="<?= $slide['left_image']['url'] ?>)" alt="">
                    </div>
					
					
                  </div>
                </div>
              </div>
            </div>
			
			  <?php endif ?>
          <?php endforeach ?>

        </div>
      </div>
    </div>

    <?php if (is_admin()) :
      if (!defined('ELEMENTOR_VERSION'))
        return;
    ?>
      <script>
        // $(".slider_active").slick();

        $("#slick-<?= $this->get_id() ?>").slick();

      </script>

    <?php endif ?>

<?php
  }
}
